<?php
/* Mantenimiento de los registros de la tabla MST_CategoriaTalla redefinidos por el usaurio */
class MST_CategoriaTallaDP extends BaseMST_CategoriaTallaDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdCatTalla ) IS NULL, 1, MAX( IdCatTalla ) + 1 ) i_Id  FROM MST_CategoriaTalla;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>